GET
/
catalog
/
product-spu
List product SPUs
curl --request GET \
  --url https://api.example.com/catalog/product-spu
import requests

url = "https://api.example.com/catalog/product-spu"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/catalog/product-spu', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "account_id": "<string>",
      "cached_price": 123,
      "cached_rating": 123,
      "category": {
        "description": "<string>",
        "id": "<string>",
        "name": "<string>",
        "parent_id": "<string>",
        "resources": [
          {
            "checksum": "<string>",
            "id": "<string>",
            "mime": "<string>",
            "size": 123,
            "url": "<string>"
          }
        ]
      },
      "category_id": "<string>",
      "currency": "<string>",
      "date_created": "<string>",
      "date_deleted": "<string>",
      "date_updated": "<string>",
      "description": "<string>",
      "featured_sku_id": "<string>",
      "id": "<string>",
      "is_enabled": true,
      "is_stale_embedding": true,
      "name": "<string>",
      "number": 123,
      "rating": {
        "breakdown": {},
        "score": 123,
        "total": 123
      },
      "resources": [
        {
          "checksum": "<string>",
          "id": "<string>",
          "mime": "<string>",
          "size": 123,
          "url": "<string>"
        }
      ],
      "slug": "<string>",
      "specifications": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ],
      "tags": [
        "<string>"
      ]
    }
  ],
  "pagination": {
    "cursor": "<string>",
    "limit": 123,
    "next_cursor": "<string>",
    "next_page": 123,
    "page": 123,
    "total": 123
  }
}
{
"data": "<unknown>",
"error": {
"code": "<string>",
"http_status": 123,
"message": "<string>"
}
}

Query Parameters

page
integer

Page number (offset mode)

Required range: x >= 1
limit
integer

Items per page (max 100)

Required range: 1 <= x <= 100
cursor
string

Keyset cursor (cursor mode)

sort
string

Sort, e.g. -date_created

Search term

slug
string[]

Filter by slugs

my_products
boolean

Only the authenticated caller's products

category_id
string[]

Filter by category IDs (UUID)

is_enabled
boolean[]

Filter by enabled state

Response

OK

data
object[]
pagination
object